php-symfony-doctrine-bridge-2.3.42-2.el6.noarch.rpm


Advertisement

Description

php-symfony-doctrine-bridge - Symfony Doctrine Bridge

Property Value
Distribution CentOS 6
Repository EPEL x86_64
Package filename php-symfony-doctrine-bridge-2.3.42-2.el6.noarch.rpm
Package name php-symfony-doctrine-bridge
Package version 2.3.42
Package release 2.el6
Package architecture noarch
Package type rpm
Category Development/Libraries
Homepage http://symfony.com
License MIT
Maintainer -
Download size 39.05 KB
Installed size 121.97 KB
Provides integration for Doctrine (http://www.doctrine-project.org/) with
various Symfony components.
Configuration reference:
http://symfony.com/doc/2.3/reference/configuration/doctrine.html

Alternatives

Package Version Architecture Repository
php-symfony-doctrine-bridge-2.8.52-2.el6.remi.noarch.rpm 2.8.52 noarch Les RPM de Remi
php-symfony-doctrine-bridge-2.8.52-2.el6.remi.noarch.rpm 2.8.52 noarch Les RPM de Remi
php-symfony-doctrine-bridge-2.8.52-1.el6.remi.noarch.rpm 2.8.52 noarch Les RPM de Remi
php-symfony-doctrine-bridge-2.8.52-1.el6.remi.noarch.rpm 2.8.52 noarch Les RPM de Remi
php-symfony-doctrine-bridge-2.3.42-2.el6.noarch.rpm 2.3.42 noarch EPEL
php-symfony-doctrine-bridge - - -

Requires

Name Value
php-composer(doctrine/common) >= 2.4.3
php-composer(doctrine/common) < 3.0
php-composer(doctrine/data-fixtures) >= 1.0.2
php-composer(doctrine/data-fixtures) < 1.1.0
php-composer(doctrine/dbal) < 3.0
php-composer(doctrine/dbal) >= 2.4.5
php-composer(doctrine/orm) >= 2.4.8
php-composer(doctrine/orm) < 3.0
php-composer(symfony/form) = 2.3.42
php-composer(symfony/validator) = 2.3.42
php-date -
php-json -
php-mbstring -
php-pcre -
php-pdo -
php-reflection -
php-session -
php-spl -

Provides

Name Value
php-composer(symfony/doctrine-bridge) = 2.3.42
php-pear(pear.symfony.com/DoctrineBridge) = 2.3.42
php-symfony-doctrine-bridge = 2.3.42-2.el6
php-symfony-doctrinebridge = 2.3.42

Obsoletes

Name Value
php-symfony-doctrinebridge < 2.3.42

Download

Type URL
Mirror download-ib01.fedoraproject.org
Binary Package php-symfony-doctrine-bridge-2.3.42-2.el6.noarch.rpm
Source Package php-symfony-2.3.42-2.el6.src.rpm

Install Howto

  1. Download latest epel-release rpm from
    http://download-ib01.fedoraproject.org/pub/epel/6/x86_64/
  2. Install epel-release rpm:
    # rpm -Uvh epel-release*rpm
  3. Install php-symfony-doctrine-bridge rpm package:
    # yum install php-symfony-doctrine-bridge

Files

Path
/usr/share/doc/php-symfony-doctrine-bridge-2.3.42/CHANGELOG.md
/usr/share/doc/php-symfony-doctrine-bridge-2.3.42/LICENSE
/usr/share/doc/php-symfony-doctrine-bridge-2.3.42/README.md
/usr/share/doc/php-symfony-doctrine-bridge-2.3.42/composer.json
/usr/share/php/Symfony/Bridge/Doctrine/ContainerAwareEventManager.php
/usr/share/php/Symfony/Bridge/Doctrine/ManagerRegistry.php
/usr/share/php/Symfony/Bridge/Doctrine/RegistryInterface.php
/usr/share/php/Symfony/Bridge/Doctrine/autoload.php
/usr/share/php/Symfony/Bridge/Doctrine/autoloader.php
/usr/share/php/Symfony/Bridge/Doctrine/CacheWarmer/ProxyCacheWarmer.php
/usr/share/php/Symfony/Bridge/Doctrine/DataCollector/DoctrineDataCollector.php
/usr/share/php/Symfony/Bridge/Doctrine/DataFixtures/ContainerAwareLoader.php
/usr/share/php/Symfony/Bridge/Doctrine/DependencyInjection/AbstractDoctrineExtension.php
/usr/share/php/Symfony/Bridge/Doctrine/DependencyInjection/CompilerPass/DoctrineValidationPass.php
/usr/share/php/Symfony/Bridge/Doctrine/DependencyInjection/CompilerPass/RegisterEventListenersAndSubscribersPass.php
/usr/share/php/Symfony/Bridge/Doctrine/DependencyInjection/CompilerPass/RegisterMappingsPass.php
/usr/share/php/Symfony/Bridge/Doctrine/DependencyInjection/Security/
/usr/share/php/Symfony/Bridge/Doctrine/DependencyInjection/Security/UserProvider/EntityFactory.php
/usr/share/php/Symfony/Bridge/Doctrine/Form/DoctrineOrmExtension.php
/usr/share/php/Symfony/Bridge/Doctrine/Form/DoctrineOrmTypeGuesser.php
/usr/share/php/Symfony/Bridge/Doctrine/Form/ChoiceList/EntityChoiceList.php
/usr/share/php/Symfony/Bridge/Doctrine/Form/ChoiceList/EntityLoaderInterface.php
/usr/share/php/Symfony/Bridge/Doctrine/Form/ChoiceList/ORMQueryBuilderLoader.php
/usr/share/php/Symfony/Bridge/Doctrine/Form/DataTransformer/CollectionToArrayTransformer.php
/usr/share/php/Symfony/Bridge/Doctrine/Form/EventListener/MergeDoctrineCollectionListener.php
/usr/share/php/Symfony/Bridge/Doctrine/Form/Type/DoctrineType.php
/usr/share/php/Symfony/Bridge/Doctrine/Form/Type/EntityType.php
/usr/share/php/Symfony/Bridge/Doctrine/HttpFoundation/DbalSessionHandler.php
/usr/share/php/Symfony/Bridge/Doctrine/HttpFoundation/DbalSessionHandlerSchema.php
/usr/share/php/Symfony/Bridge/Doctrine/Logger/DbalLogger.php
/usr/share/php/Symfony/Bridge/Doctrine/Security/
/usr/share/php/Symfony/Bridge/Doctrine/Security/RememberMe/DoctrineTokenProvider.php
/usr/share/php/Symfony/Bridge/Doctrine/Security/User/EntityUserProvider.php
/usr/share/php/Symfony/Bridge/Doctrine/Test/DoctrineTestHelper.php
/usr/share/php/Symfony/Bridge/Doctrine/Validator/DoctrineInitializer.php
/usr/share/php/Symfony/Bridge/Doctrine/Validator/Constraints/UniqueEntity.php
/usr/share/php/Symfony/Bridge/Doctrine/Validator/Constraints/UniqueEntityValidator.php

Changelog

2019-06-19 - Shawn Iwinski <shawn.iwinski@gmail.com> - 2.3.42-2
- Disable tests by default (follows php-symfony3 and php-symfony4 pkgs)
- Always require build dependencies
- Remove php-composer(paragonie/random_compat) version constraint
2016-09-30 - Shawn Iwinski <shawn.iwinski@gmail.com> - 2.3.42-1
- Updated to 2.3.42
- CVE-2015-8124
- CVE-2015-8125
- CVE-2016-1902, RHBZ #1340830, RHBZ #1340831
- CVE-2016-4423, RHBZ #1340833, RHBZ #1340834
2015-07-13 - Shawn Iwinski <shawn.iwinski@gmail.com> - 2.3.31-1
- Updated to 2.3.31
- Fixed autoloader
2015-06-06 - Shawn Iwinski <shawn.iwinski@gmail.com> - 2.3.30-1
- Updated to 2.3.30 (BZ #1227264, 1227266)
- CVE-2015-4050, CVE-2015-2308, CVE-2015-2309, CVE-2014-6072, CVE-2014-5245,
CVE-2014-4931, CVE-2014-6061, CVE-2014-5244
- Updated dependencies to use php-composer()
- Added php-composer(symfony/*) provides
- Added autoloaders
2014-01-05 - Shawn Iwinski <shawn.iwinski@gmail.com> - 2.3.9-1
- Updated to 2.3.9 (BZ #1038134)
- Conditional %{?dist}
- Minor bash cosmetic changes
- Skip additional test relying on external resources
- Skip additional el6 test
2013-12-18 - Shawn Iwinski <shawn.iwinski@gmail.com> - 2.3.8-1
- Updated to 2.3.8 (BZ #1038134)
- Temporarily skip test known to fail on Fedora > 20
2013-12-14 - Remi Collet <remi@fedoraproject.org> - 2.3.7-4
- fix PEAR compatibility: add missing "autoloader.php"
2013-11-26 - Shawn Iwinski <shawn.iwinski@gmail.com> - 2.3.7-3
- Fixed several summaries and descriptions ("Symfony2" => "Symfony")
2013-11-22 - Shawn Iwinski <shawn.iwinski@gmail.com> - 2.3.7-2
- Renamed from "php-symfony2" to "php-symfony"
- Updated main pkg summary
- Removed dependency on common sub-pkg for sub-pkgs that require other sub-pkgs
- Common sub-pkg obsoletes php-channel-symfony2
- Fixed swiftmailerbridge sub-pkg dependency
- Updated %check to use PHPUnit's "--include-path" option
2013-11-17 - Shawn Iwinski <shawn.iwinski@gmail.com> - 2.3.7-1
- Updated to 2.3.7
- Separated icu pkg
- Added php-composer(ircmaxell/password-compat) requires for el6 (PHP < 5.5.0)
- common sub-pkg now owns %{symfony_dir}/{Bridge,Bundle,Component}
- Fixed classloader URL

See Also

Package Description
php-symfony-dom-crawler-2.3.42-2.el6.noarch.rpm Symfony DomCrawler Component
php-symfony-event-dispatcher-2.3.42-2.el6.noarch.rpm Symfony EventDispatcher Component
php-symfony-filesystem-2.3.42-2.el6.noarch.rpm Symfony Filesystem Component
php-symfony-finder-2.3.42-2.el6.noarch.rpm Symfony Finder Component
php-symfony-form-2.3.42-2.el6.noarch.rpm Symfony Form Component
php-symfony-framework-bundle-2.3.42-2.el6.noarch.rpm Symfony Framework Bundle
php-symfony-http-foundation-2.3.42-2.el6.noarch.rpm Symfony HttpFoundation Component
php-symfony-http-kernel-2.3.42-2.el6.noarch.rpm Symfony HttpKernel Component
php-symfony-icu-1.1.2-1.el6.noarch.rpm Symfony Icu Component
php-symfony-intl-2.3.42-2.el6.noarch.rpm Symfony Intl Component
php-symfony-locale-2.3.42-2.el6.noarch.rpm Symfony Locale Component
php-symfony-monolog-bridge-2.3.42-2.el6.noarch.rpm Symfony Monolog Bridge
php-symfony-options-resolver-2.3.42-2.el6.noarch.rpm Symfony OptionsResolver Component
php-symfony-polyfill-1.5.0-1.el6.noarch.rpm Symfony polyfills backporting features to lower PHP versions
php-symfony-process-2.3.42-2.el6.noarch.rpm Symfony Process Component
Advertisement
Advertisement